﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            string query = "SELECT CountryId, CountryName FROM Countries";
            this.BindDropDownList(ddlCountries, query, "CountryName", "CountryId", "Select Country");
            ddlStates.Enabled = false;
            ddlCities.Enabled = false;
            ddlStates.Items.Insert(0, new ListItem("Select State", "0"));
            ddlCities.Items.Insert(0, new ListItem("Select City", "0"));
        }
    }

    private void BindDropDownList(DropDownList ddl, string query, string text, string value, string defaultText)
    {
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query, con))
            {
                con.Open();
                ddl.DataSource = cmd.ExecuteReader();
                ddl.DataTextField = text;
                ddl.DataValueField = value;
                ddl.DataBind();
                con.Close();
            }
        }
        ddl.Items.Insert(0, new ListItem(defaultText, "0"));
    }

    protected void Country_Changed(object sender, EventArgs e)
    {
        int countryId = int.Parse(ddlCountries.SelectedItem.Value);
        if (countryId > 0)
        {
            string query = string.Format("SELECT StateId, StateName FROM States WHERE CountryId = {0}", countryId);
            this.BindDropDownList(ddlStates, query, "StateName", "StateId", "Select State");
            ddlStates.Enabled = true;
        }
    }

    protected void State_Changed(object sender, EventArgs e)
    {
        int stateId = int.Parse(ddlStates.SelectedItem.Value);
        if (stateId > 0)
        {
            string query = string.Format("SELECT CityId, CityName FROM Cities WHERE StateId = {0}", stateId);
            this.BindDropDownList(ddlCities, query, "CityName", "CityId", "Select City");
            ddlCities.Enabled = true;
        }
    }

    protected void City_Changed(object sender, EventArgs e)
    {
        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Country: " + ddlCountries.SelectedItem.Text +
                                                            "\\nState: " + ddlStates.SelectedItem.Text +
                                                            "\\nCity: " + ddlCities.SelectedItem.Text + "');", true);
        ddlStates.Enabled = false;
        ddlCities.Enabled = false;
        ddlCountries.SelectedIndex = 0;
    }
}